#ifndef __cpb_module_front_3d_h__
#define __cpb_module_front_3d_h__

#include "cpb_module.h"

#define REMOVE_HOLE_SEARCH_RANGE	10

//---------------------------------------------------------------------------
void ProcessingStartForFrontFace_3D(int processingMode, int cameraIndex, int option);
void PreprocessingFor3D(int cameraIndex);
void SetUpDataTransFormForThreeD(int option,int SDNum);
void FrontFace3DShapeEdgeAreaSetting(int cameraIndex);
void DefectSearchFor3DImage(int cameraIndex);
void CheckTabletShapeForSugarCoated(int cameraIndex);
//---------------------------------------------------------------------------

#endif	/* __cpb_module_front_3d_h__ */